# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-01-28 23:45
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Document',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('number_of_urls', models.PositiveSmallIntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='URL',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(max_length=2048)),
                ('is_alive', models.NullBooleanField()),
            ],
        ),
        migrations.AddField(
            model_name='document',
            name='urls',
            field=models.ManyToManyField(to='pdf_parser.URL'),
        ),
    ]
